## NAME

CURLOPT_SSL_CTX_DATA - custom pointer passed to ssl_ctx callback

## SYNOPSIS

#include <curl/curl.h>

CURLcode curl_easy_setopt(CURL *handle, CURLOPT_SSL_CTX_DATA, void *pointer);

## DESCRIPTION

Data pointer to pass to the ssl context callback set by the option CURLOPT_SSL_CTX_FUNCTION, this is the pointer you'll get as third parameter.

## DEFAULT

NULL

## PROTOCOLS

All TLS based protocols: HTTPS, FTPS, IMAPS, POP3S, SMTPS etc.

## EXAMPLE

TODO

## AVAILABILITY

Added in 7.11.0 for OpenSSL. Added in 7.42.0 for wolfSSL/CyaSSL. Other SSL backends not supported.

## RETURN VALUE

Returns CURLE_OK if the option is supported, and CURLE_UNKNOWN_OPTION if not.

## SEE ALSO

CURLOPT_SSL_CTX_FUNCTION, CURLOPT_SSLVERSION

This HTML page was made with roffit.